import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { AppTokenTemplatePositionFetcher } from '../../../position/template/app-token.template.position-fetcher';
import { GetPricePerShareParams, GetUnderlyingTokensParams } from '../../../position/template/app-token.template.types';
import { CaskProtocolContractFactory, CaskVaultToken } from '../contracts';
export declare abstract class CaskProtocolWalletTokenFetcher extends AppTokenTemplatePositionFetcher<CaskVaultToken> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: CaskProtocolContractFactory;
    abstract caskVaultContractAddress: string;
    constructor(appToolkit: IAppToolkit, contractFactory: CaskProtocolContractFactory);
    getContract(address: string): CaskVaultToken;
    getAddresses(): Promise<string[]>;
    getUnderlyingTokenDefinitions({ contract }: GetUnderlyingTokensParams<CaskVaultToken>): Promise<{
        address: string;
        network: import("../../../types").Network;
    }[]>;
    getPricePerShare({ appToken, contract }: GetPricePerShareParams<CaskVaultToken>): Promise<number[]>;
    getLabel(): Promise<string>;
}
